# ACE_Token::ACE_Token_Queue Struct Reference

Collaboration diagram for ACE_Token::ACE_Token_Queue:

[legend]
List of all members.

## Public Member Functions

| ACE_Token_Queue (void)
| Constructor.
void | remove_entry (ACE_Token_Queue_Entry *)
| Remove a waiter from the queue.
void | insert_entry (ACE_Token_Queue_Entry &entry, int requeue_position=-1)
| Insert a waiter into the queue.

## Public Attributes

ACE_Token_Queue_Entry * | head_
| Head of the list of waiting threads.
ACE_Token_Queue_Entry * | tail_
| Tail of the list of waiting threads.

## Constructor & Destructor Documentation

ACE_Token::ACE_Token_Queue::ACE_Token_Queue | ( | void |  | ) |

| Constructor.

## Member Function Documentation

void ACE_Token::ACE_Token_Queue::insert_entry | ( | ACE_Token_Queue_Entry & | entry,
|  | int | requeue_position = `-1`
| ) |

| Insert a waiter into the queue.

void ACE_Token::ACE_Token_Queue::remove_entry | ( | ACE_Token_Queue_Entry * |  | ) |

| Remove a waiter from the queue.

## Member Data Documentation

ACE_Token_Queue_Entry* ACE_Token::ACE_Token_Queue::head_

| Head of the list of waiting threads.

ACE_Token_Queue_Entry* ACE_Token::ACE_Token_Queue::tail_

| Tail of the list of waiting threads.

The documentation for this struct was generated from the following files:

- Token.h
- Token.cpp